Package com.sas.services.information.metadata

# Class AuthorizationInheritanceInfo

java.lang.Object
com.sas.services.information.metadata.AuthorizationInheritanceInfo

All Implemented Interfaces:
  `AuthorizationInheritanceInfoInterface`, `Serializable`, `Remote`

public class AuthorizationInheritanceInfo extends Object implements AuthorizationInheritanceInfoInterface, Serializable
Implementation Methods for obtaining inheritance info for an object

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<String>`
  `inheritanceRules`
  `protected List<AuthorizationInheritanceInfoInterface>`
  `nextLevelObjList`
  `protected MetadataInterface`
  `obj`
  `protected boolean`
  `objHasDirectPermissions`
  `protected boolean`
  `objHidden`
  `protected AuthorizationInheritanceInfo`
  `prevLevelObj`
  `protected String`
  `roleName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorizationInheritanceInfo(boolean hidden, MetadataInterface obj, boolean hasDirectPerms, String roleName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getInheritanceRoleName()`
  Returns the association role name for this object from its direct "child".
  `List<String>`
  `getInheritanceRules()`
  Returns the List of Strings where each contains an Inheritance Rule (i.e. association to inheritance parent object) name value.
  `List<AuthorizationInheritanceInfoInterface>`
  `getNextLevelParents()`
  Returns the List of AuthorizationInheritanceInfoInterface instances at the next Level for this AuthorizationInheritanceInfoInterface
  `MetadataInterface`
  `getObject()`
  Returns the object for this inheritance instance
  `boolean`
  `HasDirectPermissions()`
  Returns true if this parent has permissions set directly on it
  `boolean`
  `HasNextLevelParents()`
  Returns true if this object has direct inheritance parent objects
  `boolean`
  `IsHidden()`
  Returns true if requester is not permitted to see the inheritance object represented by this instance
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inheritanceRules

    protected List<String> inheritanceRules

  - ### objHidden

    protected boolean objHidden

  - ### obj

    protected MetadataInterface obj

  - ### objHasDirectPermissions

    protected boolean objHasDirectPermissions

  - ### nextLevelObjList

    protected List<AuthorizationInheritanceInfoInterface> nextLevelObjList

  - ### roleName

    protected String roleName

  - ### prevLevelObj

    protected AuthorizationInheritanceInfo prevLevelObj

- ## Constructor Details

  - ### AuthorizationInheritanceInfo

    public AuthorizationInheritanceInfo(boolean hidden, MetadataInterface obj, boolean hasDirectPerms, String roleName)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getInheritanceRules

    public List<String> getInheritanceRules() throws RemoteException
    Description copied from interface: `AuthorizationInheritanceInfoInterface`
    Returns the List of Strings where each contains an Inheritance Rule (i.e. association to inheritance parent object) name value.
    Specified by:
      `getInheritanceRules` in interface `AuthorizationInheritanceInfoInterface`
    Returns:
      List<`String`>
    Throws:
      `RemoteException`

  - ### HasDirectPermissions

    public boolean HasDirectPermissions() throws RemoteException
    Description copied from interface: `AuthorizationInheritanceInfoInterface`
    Returns true if this parent has permissions set directly on it
    Specified by:
      `HasDirectPermissions` in interface `AuthorizationInheritanceInfoInterface`
    Returns:
      `boolean`
    Throws:
      `RemoteException`

  - ### HasNextLevelParents

    public boolean HasNextLevelParents() throws RemoteException
    Description copied from interface: `AuthorizationInheritanceInfoInterface`
    Returns true if this object has direct inheritance parent objects
    Specified by:
      `HasNextLevelParents` in interface `AuthorizationInheritanceInfoInterface`
    Returns:
      `boolean`
    Throws:
      `RemoteException`

  - ### IsHidden

    public boolean IsHidden() throws RemoteException
    Description copied from interface: `AuthorizationInheritanceInfoInterface`
    Returns true if requester is not permitted to see the inheritance object represented by this instance
    Specified by:
      `IsHidden` in interface `AuthorizationInheritanceInfoInterface`
    Returns:
      `boolean`
    Throws:
      `RemoteException`

  - ### getNextLevelParents

    public List<AuthorizationInheritanceInfoInterface> getNextLevelParents() throws RemoteException
    Description copied from interface: `AuthorizationInheritanceInfoInterface`
    Returns the List of AuthorizationInheritanceInfoInterface instances at the next Level for this AuthorizationInheritanceInfoInterface
    Specified by:
      `getNextLevelParents` in interface `AuthorizationInheritanceInfoInterface`
    Returns:
      List<`AuthorizationInheritanceInfoInterface`>
    Throws:
      `RemoteException`

  - ### getObject

    public MetadataInterface getObject() throws RemoteException
    Description copied from interface: `AuthorizationInheritanceInfoInterface`
    Returns the object for this inheritance instance
    Specified by:
      `getObject` in interface `AuthorizationInheritanceInfoInterface`
    Returns:
      `String` object
    Throws:
      `RemoteException`

  - ### getInheritanceRoleName

    public String getInheritanceRoleName() throws RemoteException
    Description copied from interface: `AuthorizationInheritanceInfoInterface`
    Returns the association role name for this object from its direct "child". The value will always match one of the rule strings on the list returned from calling getInheritanceRules() on the child object.
    Specified by:
      `getInheritanceRoleName` in interface `AuthorizationInheritanceInfoInterface`
    Returns:
      `String` object
    Throws:
      `RemoteException`